Refund

​

Process a refund with support for card-present refunds. Accepts optional CardReadData for tap-to-refund scenarios.

Path Parameters

  • ID of the transaction to refund.

Headers

  • Response format. Must be application/json.

  • Request payload format. Must be application/json when a body is sent.

Body·

required
application/json

Refund request model. Supports card-present refunds with reader data.

  • Refund amount in cents. If omitted, the full original transaction amount is refunded.

  • Optional card reader data for card-present refunds.

    Properties: 6
  • Idempotency key. Auto-generated if omitted.

  • ID of the original transaction to refund.

Responses

  • application/json
  • application/json
Request Example for post/v1/payments/{transaction_id}/refund
curl 'https://api.uat.koard.com/v1/payments/{transaction_id}/refund' \
  --request POST \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header 'x-koard-apikey: YOUR_SECRET_TOKEN' \
  --data '{
  "transaction_id": null,
  "amount": null,
  "card_reader_data": {
    "id": "",
    "paymentCardData": "",
    "generalCardData": "",
    "outcome": 1,
    "pinBypassed": false,
    "isPINFallback": false
  },
  "event_id": null
}'
{
  "account_id": "string",
  "additional_details": {},
  "apple_transaction_id": "string",
  "batch_id": null,
  "card": "string",
  "card_brand": "string",
  "card_type": "string",
  "created_at": 1,
  "currency": "string",
  "device_id": null,
  "event_id": "string",
  "gateway": null,
  "gateway_transaction_id": null,
  "gateway_transaction_response": null,
  "history": [],
  "location_id": null,
  "merchant_name": "",
  "mid": "string",
  "owner_id": null,
  "parent_account_ids": [
    "string"
  ],
  "payment_method": "string",
  "processor": null,
  "processor_mid": "string",
  "processor_response_code": null,
  "processor_response_message": null,
  "processor_tid": "string",
  "reader_identifier": "string",
  "refunded": null,
  "reversed": null,
  "status": null,
  "status_reason": null,
  "subtotal": 1,
  "surcharge_amount": null,
  "surcharge_applied": false,
  "surcharge_rate": null,
  "tax_amount": null,
  "tax_rate": null,
  "tid": "string",
  "tip_amount": null,
  "tip_type": null,
  "total_amount": 1,
  "transaction_id": "string",
  "transaction_type": null
}